# Info on source-files:

# stripped-down version fetched using svn
# svn checkout https://github.com/nomacs/nomacs/trunk/ImageLounge
# rm -rf ImageLounge/.svn
# cp ImageLounge/Readme/LICENSE.GPLv3 ImageLounge/COPYRIGHT
# mv ImageLounge %{name}-%{version}
# tar cfJ %{name}-%{version}.tar.xz %{name}-%{version}

# mkdir %{name}-plugins-%{version}
# cd %{name}-plugins-%{version}
# svn checkout https://github.com/nomacs/nomacs-plugins/trunk
# rm -rf trunk/.svn
# mv trunk/* .
# rm -rf trunk
# cd ..
# tar cfJ %{name}-plugins-%{version}.tar.xz %{name}-plugins-%{version}

Name:		nomacs
Version:	3.8.0
Release:	%mkrel 2
Summary:	A fast and small image viewer
License:	GPLv3
Group:		Graphics
Url:		http://www.nomacs.org
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}-plugins-%{version}.tar.xz
# imported from mageia
Patch0:		%name-3.6.1-use-system-quazip-qt5.patch
# from zen-subz
Patch1:		%name-plugins-install-fix.patch
#--------------------------------------
BuildRequires:	cmake
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: lib64exiv2-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64quazip-devel
BuildRequires: lib64tiff-devel
BuildRequires: LibRaw-devel
BuildRequires: make
BuildRequires: opencv-devel
BuildRequires: patch
BuildRequires: pkgconfig
BuildRequires: qtbase5-common-devel
BuildRequires: zlib1-devel
#--------------------------------------
Requires:	lib64qt5svg5
#--------------------------------------

%description
nomacs is a free image viewer - small, fast and able to handle the most common
image formats including RAW images.

Additionally it is possible to synchronize multiple viewers. A synchronization
of viewers running on the same computer or via LAN is possible.

It allows to compare images and spot the differences (e.g. schemes of architects
to show the progress).

This package also installs additional plugins to extend the functionality of nomacs.

%prep
%setup -q
%patch0 -p1

# remove bundled quazip
rm -rf 3rdparty/quazip-0.7*

# fix SVG icon install path
sed -i cmake/UnixBuildTarget.cmake -e 's@share/pixmaps@share/icons/hicolor/scalable/apps@'

# fix wrong-file-end-of-line-encoding
sed -i 's/\r//' Readme/README

# extract plugins
tar -xJf %SOURCE1
mv %{name}-plugins-%{version} plugins
%patch1 -p1

%build
%cmake_qt5 \
	-DLIB_SUFFIX=64 \
	-DENABLE_OPENCV=ON \
	-DENABLE_RAW=ON \
	-DENABLE_TIFF=ON \
	-DENABLE_TRANSLATIONS=ON \
	-DENABLE_READ_BUILD=ON \
	-DENABLE_PLUGINS=ON \
	-DENABLE_QUAZIP=ON \
	-DUSE_SYSTEM_QUAZIP=ON \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_CXX_FLAGS_RELEASE:STRING="-O2"

%make_build

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc Readme/README Readme/LICENSE.GPLv3
%doc manuals/batchProcessing.md
%doc plugins/manuals/PageExtraction.md
%{_bindir}/%{name}
%{_libdir}/lib%{name}*.so.*
%{_libdir}/%{name}-plugins/lib*.so.*
%exclude %{_libdir}/lib%{name}*.so
%exclude %{_libdir}/%{name}-plugins/lib*.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_iconsdir}/hicolor/scalable/*/%{name}.svg
%{_mandir}/man1/%{name}.1.*


%changelog
* Mon Jan 15 2018 bb2 <bb2> - 3.8.0-2pclos2018
- clean up BR

* Fri Jan 12 2018 Zen Subz <techars21 at gmail dot com> - 3.8.0-1pclos2018
- Add patch to fix plugins install path
- Update to latest release from github

* Thu Aug 10 2017 bb2 <bb2> - 2.2.0-3pclos2017
- rebuild against updates

* Tue May 24 2016 bb <bb> 2.2.0-2pclos2016
- rebuild new LibRaw

* Sun Nov 16 2014 bb <bb> 2.2.0-1pclos2014
- import
